"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MANIFEST_SCHEMA = exports.PKG_JSON_PATH = exports.TEMPLATES_PATH = exports.CLI_ROOT_PATH = void 0;
const path_1 = __importDefault(require("path"));
exports.CLI_ROOT_PATH = path_1.default.join(__dirname, '..');
exports.TEMPLATES_PATH = path_1.default.join(exports.CLI_ROOT_PATH, 'templates');
exports.PKG_JSON_PATH = path_1.default.join(exports.CLI_ROOT_PATH, 'package.json');
exports.MANIFEST_SCHEMA = {
    $schema: 'http://json-schema.org/draft-07/schema',
    type: 'object',
    title: 'Template Manifest Schema',
    additionalProperties: false,
    required: ['name', 'files', 'scripts', 'dependencies'],
    properties: {
        name: {
            $id: '#/properties/name',
            type: 'string'
        },
        description: {
            $id: '#/properties/description',
            type: 'string'
        },
        basePath: {
            $id: '#/properties/basePath',
            type: 'string'
        },
        files: {
            $id: '#/properties/files',
            type: 'array',
            additionalItems: false,
            items: {
                $id: '#/properties/files/items',
                type: 'string'
            }
        },
        scripts: {
            $id: '#/properties/scripts',
            type: 'object',
            additionalProperties: { type: 'string' }
        },
        dependencies: {
            $id: '#/properties/dependencies',
            type: 'object',
            additionalProperties: false,
            required: ['prod', 'dev'],
            properties: {
                prod: {
                    $id: '#/properties/dependencies/properties/prod',
                    type: 'array',
                    additionalItems: false,
                    items: {
                        $id: '#/properties/dependencies/properties/prod/items',
                        type: 'string'
                    }
                },
                dev: {
                    $id: '#/properties/dependencies/properties/dev',
                    type: 'array',
                    additionalItems: false,
                    items: {
                        $id: '#/properties/dependencies/properties/dev/items',
                        type: 'string'
                    }
                }
            }
        }
    }
};
