#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ink_1 = require("ink");
const path_1 = __importDefault(require("path"));
const react_1 = __importDefault(require("react"));
const cli_1 = require("./cli");
const utils_1 = require("./utils");
const params = process.argv.slice(2);
const { name: pkgName, version: cliVersion, description } = (0, utils_1.getPkgJSON)();
const { help, name, version, template } = (0, utils_1.parseProgramArgs)(params);
const appPath = path_1.default.resolve(name);
(0, ink_1.render)(react_1.default.createElement(cli_1.CLI, { pkgName: pkgName, cliVersion: cliVersion, description: description, help: help, name: name, version: version, template: template, appPath: appPath }));
